# laravel-elixir-todo
---
## Description
A laravel-elixir plugin for gulp-todo [https://github.com/pgilad/gulp-todo]
(https://github.com/pgilad/gulp-todo)

> Parse and output TODOs and FIXMEs from comments in your file in a stream

---
## Install
First, install the package

``` $ npm install laravel-elixir-todo --save-dev ```


Then in require the package

```
Elixir(function(mix) {
    require('laravel-elixir-todo');
});
```

---
## Usage: todo()
Call the plugin in `gulpfile.js` with:

```
mix.todo();
```


#### Optional parameters
```
mix.todo(src, options);
```

**_src_** is the source to scan. Defaults to main asset Elixir directories [ JS, CSS, SASS, LESS ] and tests [ /tests ].

_eg._ To scan all .php files in the 'tests' directory


```
mix.todo('./tests/**/*.php);
```

---


**_options_** is an array of options. See [gulp-todo homepage]
(https://github.com/pgilad/gulp-todo)

---

* If not using a template and no TODO comments are found, the output file will be **deleted**.


---

**_options_** is an array of options. See [gulp-todo homepage]
(https://github.com/pgilad/gulp-todo)
**_template_** is the template file to look for
**_output_**          'readme.md',
**_reporter_**  is style type to use. Default 'markdown'.
**_reporterOptions_** is an object and is equivalent to options of 'todo.reporter(reporter, options)'
**_msgEmpty_** is the string to use in templates no items are found

---
---
### TODOs 
No TODOs


---
## Changelog
* 2016-02-18 Initial release
* 2016-05-11 Merge TODO and TODO-INJECT tasks
* 2016-05-11 Add config option ('msgEmpty') for empty string output in template
